#
# spec file for package perl-Lingua-EN-Sentence
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-Sentence
Version:        0.29
Release:        2.1
%define cpan_name Lingua-EN-Sentence
Summary:        Module for splitting text into sentences
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-EN-Sentence/
Source0:        http://www.cpan.org/authors/id/K/KI/KIMRYAN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.380000
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(strict) >= 1.04
BuildRequires:  perl(utf8) >= 1.09
BuildRequires:  perl(warnings) >= 1.12
Requires:       perl(strict) >= 1.04
Requires:       perl(utf8) >= 1.09
Requires:       perl(warnings) >= 1.12
%{perl_requires}

%description
The 'Lingua::EN::Sentence' module contains the function get_sentences,
which splits text into its constituent sentences, based on a regular
expression and a list of abbreviations (built in and given).

Certain well know exceptions, such as abreviations, may cause incorrect
segmentations. But some of them are already integrated into this code and
are being taken care of. Still, if you see that there are words causing the
get_sentences() to fail, you can add those to the module, so it notices
them.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-Lingua-EN-Sentence/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Lingua-EN-Sentence/Changes
  0.26 Mar 12 2015
  - Fixed POD errors
  - Fixed RT bug 97681, setlocale work around for Android systems
  - Added Build.PL
  - Added tests harness and more tests
  - update to newer Perl idioms such as 'our' variables
  0.27 Mar 12 2015
  - added main.t to MANIFEST
  - added more prefixes and suffixes for people' snames, such as Mme. , Msgr.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Apr  4 2011 coolo@novell.com
- update license
* Fri Apr  1 2011 coolo@novell.com
- initial package 0.25
  * created by cpanspec 1.78.03
